Loading...
Searching...
No Matches
Path< GR >::ArcIt Class Reference

## Detailed Description

template<typename GR>
class lemon::Path< GR >::ArcIt

This class is used to iterate on the arcs of the paths.

`#include <lemon/path.h>`

## Public Member Functions

| ArcIt ()
| Default constructor.
| ArcIt (Invalid)
| Invalid constructor.
| ArcIt (const Path &_path)
| Initializate the iterator to the first arc of path.
| operator const Arc & () const
| Conversion to Arc.
ArcIt & | operator++ ()
| Next arc.
bool | operator== (const ArcIt &e) const
| Comparison operator.
bool | operator!= (const ArcIt &e) const
| Comparison operator.
bool | operator< (const ArcIt &e) const
| Comparison operator.